Name: pciutils
Version: 2.1.11
Release: alt4
Summary: Linux PCI utilities.
Summary(ru_RU.KOI8-R):     PCI  Linux
Group: System/Kernel and hardware
Copyright: GPL
URL: http://atrey.karlin.mff.cuni.cz/~mj/%name.html
Source: ftp://ibiblio.org/pub/Linux/hardware/%name-%version.tar.bz2
Source1: pci.ids

Patch0: %name-2.1.9-unused.patch
Patch1: %name-2.1.6-cardbusonlywhenroot.patch
Patch2: %name-bufsiz.patch
Patch3: %name-2.1.10-x86_64.patch
Patch4: %name-2.1.11-pcimodules.patch
Patch5: %name-2.1.11-alt-headerfix.patch

%description
This package contains various utilities for inspecting and setting
devices connected to the PCI bus. The utilities provided require
kernel version 2.1.82 or newer (supporting the /proc/bus/pci interface).

%description -l ru_RU.KOI8-R
         
,    PCI. 

%package devel
Summary: Linux PCI development library
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains a library for inspecting and setting devices
connected to the PCI bus.

%package devel-static
Summary: Linux PCI development static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains a static library for inspecting and setting devices
connected to the PCI bus.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make OPT="$RPM_OPT_FLAGS" PREFIX=%_prefix

%install
install -d $RPM_BUILD_ROOT{%_bindir,%_mandir/man8,%_datadir,%_libdir,%_includedir/pci}

install -p -m755 lspci setpci $RPM_BUILD_ROOT%_bindir
install -p -m644 lspci.8 setpci.8 $RPM_BUILD_ROOT%_mandir/man8
install -p -m644 %SOURCE1 $RPM_BUILD_ROOT%_datadir
install -p -m644 lib/libpci.a $RPM_BUILD_ROOT%_libdir
install -p -m644 lib/{pci.h,header.h,config.h} $RPM_BUILD_ROOT%_includedir/pci

%files
%_bindir/*
%_mandir/man?/*
%_datadir/pci.ids
%doc README ChangeLog *.lsm

%files devel
%_includedir/*
%doc TODO

%files devel-static
%_libdir/*.*a

%changelog
* Wed Sep 10 2003 Rider <rider@altlinux.ru> 2.1.11-alt4
- updated pci.ids from http://pciids.sourceforge.net/ (bug #2960)

* Tue Jul 08 2003 Rider <rider@altlinux.ru> 2.1.11-alt3
- add CLASS_COMMUNICATION_MODEM to header.h

* Tue Mar 11 2003 Rider <rider@altlinux.ru> 2.1.11-alt2
- fix path to pci.ids database
- russian Summary and Description

* Mon Jan 20 2003 Konstantin Volckov <goldhead@altlinux.ru> 2.1.11-alt1
- 2.1.11

* Tue Nov 05 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.1.10-alt1
- 2.1.10

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.1.9-alt1
- 2.1.9
- Added devel-static package

* Thu Dec 14 2000 Dmitry V. Levin <ldv@fandra.org> 2.1.8-ipl6mdk
- RE adaptions.

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-6mdk
- add require for -devel

* Mon Sep 25 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-5mdk
- include pci.ids patch from redhat

* Sun Sep  3 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-4mdk
- fix the license

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-3mdk
- BM

* Wed Jun 28 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-2mdk
- cleanup
- add redhat's patch

* Tue Jun  6 2000 Pixel <pixel@mandrakesoft.com> 2.1.8-1mdk
- new version

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.6-2mdk
- move lspci to /usr/bin since it's userspace.
- Read Cardbus info only when we are root.
- Clean-up specs.

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.1.6-1mdk
- 2.1.6
- new BuildRoot
- remove ExcludeArch armv4l
- add TODO as pciutils-devel documentation

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 2.1.5-2mdk
- new group

* Wed Feb 16 2000 Pixel <pixel@mandrakesoft.com> 2.1.5-1mdk
- new version

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- removed %config for pci.ids (someone was zealous here?)
- changed 0711 to 0755 for lspci (makes rpmlint happy :)

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/=>/>=//g in Requires:.

* Sun Oct 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1 final.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.1-pre8.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- NMU: Build release.

* Fri Oct  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add pciutils-devel package.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.1pre5
- cleaning spec

* Thu Jul 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 2.1-pre4.tar.bz2

* Wed May 19 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.0

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr 19 1999 Jakub Jelinek  <jj@ultra.linux.cz>
- update to 1.99.5
- fix sparc64 operation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Feb  4 1999 Bill Nottingham <notting@redhat.com>
- initial build
